/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing Pagination
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class PaginationTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for Pagination
        //private Pagination instance;

        public PaginationTests()
        {
            // TODO uncomment below to create an instance of Pagination
            //instance = new Pagination();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of Pagination
        /// </summary>
        [Fact]
        public void PaginationInstanceTest()
        {
            // TODO uncomment below to test "IsType" Pagination
            //Assert.IsType<Pagination>(instance);
        }

        /// <summary>
        /// Test the property 'CurrentPage'
        /// </summary>
        [Fact]
        public void CurrentPageTest()
        {
            // TODO unit test for the property 'CurrentPage'
        }

        /// <summary>
        /// Test the property 'TotalPages'
        /// </summary>
        [Fact]
        public void TotalPagesTest()
        {
            // TODO unit test for the property 'TotalPages'
        }

        /// <summary>
        /// Test the property 'PageSize'
        /// </summary>
        [Fact]
        public void PageSizeTest()
        {
            // TODO unit test for the property 'PageSize'
        }

        /// <summary>
        /// Test the property 'TotalCount'
        /// </summary>
        [Fact]
        public void TotalCountTest()
        {
            // TODO unit test for the property 'TotalCount'
        }

        /// <summary>
        /// Test the property 'HasPrevious'
        /// </summary>
        [Fact]
        public void HasPreviousTest()
        {
            // TODO unit test for the property 'HasPrevious'
        }

        /// <summary>
        /// Test the property 'HasNext'
        /// </summary>
        [Fact]
        public void HasNextTest()
        {
            // TODO unit test for the property 'HasNext'
        }
    }
}
